OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.FramebufferSRGB

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetEXTFramebufferSRGB :: MonadIO m => m Bool
- gl_EXT_framebuffer_sRGB :: Bool
- gl_FRAMEBUFFER_SRGB_CAPABLE_EXT :: GLenum
- gl_FRAMEBUFFER_SRGB_EXT :: GLenum

# Extension Support

glGetEXTFramebufferSRGB :: MonadIO m => m Bool

Is the EXT_framebuffer_sRGB extension supported?

gl_EXT_framebuffer_sRGB :: Bool

Is the EXT_framebuffer_sRGB extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTFramebufferSRGB` in those cases instead.

# Enums

gl_FRAMEBUFFER_SRGB_CAPABLE_EXT :: GLenum

gl_FRAMEBUFFER_SRGB_EXT :: GLenum